Draft Plan de travail

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft SelectPlane and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Page précédente: Draft Shape2DView.svg Projection 2D d'une forme
Page suivante: Définir le style Draft SetStyle.svg Arrow-right.svg

Draft SelectPlane.svg Draft Plan de travail

Emplacement du menu
Utilitaires → Plan de travail
Ateliers
Draft, Arch
Raccourci par défaut
W P
Introduit dans la version
-
Voir aussi
Draft Objet Proxy pour plan de travail

Description

La commande Draft SelectPlane.svg Draft Sélectionner un plan sélectionne le plan de travail Draft en cours. Il s'agit du plan dans la vue 3D où les nouveaux objets Draft sont créés. Un nouveau plan de travail peut être basé sur l'une des nombreuses présélections ou sur une sélection. La sélection peut être créée avant (présélection) ou après (post-sélection) le lancement de la commande.

WorkingPlane example.png

Formes créées sur différents plans de travail

Utilisation avec présélection

  1. Faites l'une des choses suivantes :
    • Sélectionnez un seul objet. Les objets suivants sont pris en charge :
    • Sélectionnez un ou plusieurs sous-éléments. Vous pouvez sélectionner :
      • Une face plane.
      • Trois sommets.
      • Une arête circulaire.
      • Deux arêtes droites qui sont coplanaires mais pas colinéaires.
      • Une arête droite et un sommet qui ne se trouve pas sur l'arête (étendue).
  2. Il existe plusieurs façons d'invoquer la commande :
    • Appuyez sur le bouton Draft SelectPlane.svg Draft Plan de travail de Draft La barre. En fonction du plan de travail actuel, ce bouton peut avoir un aspect différent.
    • Sélectionnez l'option Utilitaires → Draft SelectPlane.svg Sélectionnez un plan dans le menu.
    • Utilisez le raccourci clavier : W puis P.
  3. Le plan de travail et le bouton de Draft La barre sont mis à jour.

Utilisation avec post-sélection

  1. Il y a plusieurs façons d'invoquer la commande :
    • Appuyez sur le Draft SelectPlane.svg Draft Plan de travail de Draft La barre. En fonction du plan de travail actuel, ce bouton peut avoir un aspect différent.
    • Sélectionnez l'option Utilitaires → Draft SelectPlane.svg Sélectionnez le plan dans le menu.
    • Utilisez le raccourci clavier : W puis P.
  2. Le panneau de tâches Préparation du plan s'ouvre. Voir Options pour plus d'informations.
  3. Effectuez l'une des opérations suivantes :
    • Sélectionnez un seul objet. Voir le paragraphe précédent pour les objets pris en charge.
    • Sélectionner un ou plusieurs sous-éléments. Vous pouvez sélectionner :
      • Une face plane.
      • Trois sommets.
  4. Cliquez n'importe où dans la Vue 3D pour confirmer la sélection et terminer la commande.
  5. Le plan de travail et le bouton de Draft La barre sont mis à jour.

Utilisation avec les présélections

  1. Il y a plusieurs façons de lancer la commande :
    • Appuyez sur le Draft SelectPlane.svg Draft Plan de travail de Draft La barre. En fonction du plan de travail actuel, ce bouton peut avoir un aspect différent.
    • Sélectionnez l'option Utilitaires → Draft SelectPlane.svg Sélectionnez le plan dans le menu.
    • Utilisez le raccourci clavier : W puis P.
  2. Le panneau de tâches Préparation du plan s'ouvre. Voir Options pour plus d'informations.
  3. Appuyez sur l'un des boutons pour terminer la commande.
  4. Le plan de travail et le bouton de Draft La barre sont mis à jour.

Options

  • Appuyez sur le bouton View-top.svg Haut (XY) pour aligner le plan de travail avec le plan XY du système de coordonnées global.
  • Appuyez sur le bouton View-front.svg Face (XZ) pour aligner le plan de travail sur le plan XZ du système de coordonnées global.
  • Appuyez sur le bouton View-right.svg Côté (YZ) pour aligner le plan de travail sur le plan YZ du système de coordonnées global.
  • Appuyez sur le bouton View-isometric.svg Aligner selon la vue pour aligner le plan de travail sur la Vue 3D actuelle. Si la case Centrer le plan dans la vue n'est pas cochée, l'origine du plan de travail correspondra à l'origine du système de coordonnées global, sinon elle correspondra au centre de la vue 3D actuelle.
  • Appuyez sur le bouton View-axonometric.svg Automatique pour aligner automatiquement le plan de travail sur la Vue 3D en cours chaque fois qu'une commande Draft ou Arch nécessitant la saisie de points est lancée. Cela équivaut à appuyer sur le bouton View-isometric.svg Aligner selon la vue avant d'utiliser la commande.
  • Décalage définit la distance perpendiculaire entre le plan calculé et le plan de travail réel en cours.
  • Cochez la case Centrer le plan dans la vue pour placer l'origine du plan de travail au centre de la Vue 3D actuelle. Cette option n'a vraiment de sens que si le bouton View-isometric.svg Aligner selon la vue est utilisé.
  • Sélectionnez un sommet dans la Vue 3D et appuyez sur le bouton Draft Move.svg Déplacer le plan de travail pour déplacer le plan de travail afin que son origine corresponde à la position du sommet sélectionné.
  • Grid spacing définit la distance entre les lignes de la grille.
  • La valeur de Ligne principale tous les détermine l'endroit où les lignes de grille principales sont dessinées. Les lignes de grille principales sont légèrement plus épaisses que les lignes de grille normales. Par exemple, si l'espacement de la grille est de 0.5 m et qu'une ligne principale est tracée toutes les 10 lignes, une telle ligne sera tracée tous les 5 m.
  • La valeur de Extension de la grille détermine le nombre de lignes de grille dans les directions X et Y de la grille.
  • Rayon d'aimantation est la distance maximale à laquelle Draft Accrochage Grille détecte les intersections des lignes de la grille.
  • Appuyez sur le bouton View-fullscreen.svg Vue centrale pour utiliser l'origine du plan de travail en cours comme centre de la Vue 3D.
  • Appuyez sur le bouton Edit-undo.svg Précédent pour réinitialiser le plan de travail à sa position précédente.
  • Appuyez sur Echap ou sur le bouton Fermez pour abandonner la commande.

Remarques

Préférences

Voir aussi : Réglage des préférences et Draft Préférences.

  • Les paramètres de la grille dans le panneau des tâches ainsi que plusieurs autres paramètres de la grille sont disponibles en tant que préférences : Edition → Préférences... → Draft → Grille et aimantation → Grille.
  • Pour utiliser la grille, Edition → Préférences... → Draft → Grille et aimantation → Grille → Activer la grille doit être sélectionnée. Après avoir modifié cette préférence, vous devez redémarrer FreeCAD.
  • Le rayon d'aimantation peut également être modifié à la volée (voir Draft Accrochage) ou en modifiant : Outils → Editer paramètres... → BaseApp → Preferences → Mod → Draft → snapRange.

Script

Voir aussi: Autogenerated API documentation et Débuter avec les scripts FreeCAD.

Si l'atelier Draft est actif, l'objet de l'application FreeCAD possède une propriété DraftWorkingPlane qui stocke le plan de travail Draft en cours. Vous pouvez accéder à cette propriété et lui appliquer des transformations :

# This code only works if the Draft Workbench is active!

import FreeCAD as App
import FreeCADGui as Gui

workplane = App.DraftWorkingPlane

v1 = App.Vector(0, 0, 0)
v2 = App.Vector(1, 1, 1).normalize()

workplane.alignToPointAndAxis(v1, v2, 17)
Gui.Snapper.toggleGrid()
Gui.Snapper.toggleGrid()

Il est également possible de créer des plans indépendamment du plan de travail Draft. Cela peut être utile pour les calculs et les projections :

import WorkingPlane

my_plane = WorkingPlane.plane()

v1 = App.Vector(0, 0, 0)
v2 = App.Vector(1, 1, 1).normalize()
my_plane.alignToPointAndAxis(v1, v2, 17)

projection = my_plane.projectPoint(App.Vector(10, 15, 2))
print(projection)


Arrow-left.svg Page précédente: Draft Shape2DView.svg Projection 2D d'une forme
Page suivante: Définir le style Draft SetStyle.svg Arrow-right.svg